> ## Documentation Index
> Fetch the complete documentation index at: https://docs.new-gen.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Filter Products

> Retrieve a product using query parameter filters. We currently only support filtering a product by the URL of it's brand product details page (PDP).

## Filter Products by URL

```bash theme={null}
curl GET /api/v1/products?url={url}
```

Retrieve a product by its URL.

### Query Parameters

| Parameter          | Type    | Description                                          |
| ------------------ | ------- | ---------------------------------------------------- |
| url                | string  | The product URL to fetch                             |
| include\_raw\_data | boolean | Include raw html/json data from pdp (default: false) |

### Response Object

```json theme={null}
{
    "pdp": {
        "id": string,
        "url": string,
        "name": string,
        "desc": string,
        "media": [
            {
                "url": string,
                "type": string
            }
        ],
        "brands": [string],
        "price_label": string,
        "raw_data": {
            "strippedHtml": string,
            "jsons": {
                "ld_json": { data },
                "props_data": { data }
            }
        }
    }
}
```
